EDIT - feature request #7977

Registration page layout improved
01/11/2019 03:04 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

The layout of the registration needs to be rendered according to the following scheme:

if reg has name
print name
print name relations
line break

if reg has typedesignations
print type designations each in a separate line
print specimen table

if reference is a section & has inReference
print inReference

else
print reference

line break

print registration date and office

¢ WGB: statt ,Registration:” besser ,Registration identifier:* [http-identifier] DONE

Taxon names in the reference citation string should be displayed in italics, see #8018

Registration for testing the implementation:

¢ http:/phycobank.org/100499 (name type and specimen type designations)
e hitp://phycobank.org/100014

Related issues:

Related to EDIT - feature request #8016: Registration page: subheadline with ... Closed
Related to EDIT - feature request #8048: Selenium test for Registration page Closed
Copied to EDIT - bug #8018: Registration page: scientific names in the citati... Worksforme

Associated revisions

Revision 6d6a18ad - 01/11/2019 05:16 PM - Andreas Kohlbecker
ref #7977 adding bibliographic in-reference citation to the RegistrationDTO

Revision 54461047 - 01/14/2019 03:15 PM - Andreas Kohlbecker

fix #7977 better and more detailed registration page

Revision 4bc78c16 - 01/15/2019 11:48 AM - Andreas Kohlbecker

ref #7977 registration items show inReferences of sections as citation

Revision f5e7f68e - 01/24/2019 04:16 PM - Andreas Kohlbecker
ref #7977 display of specimen type designations and stableURIs
Revision 79¢1522f - 01/24/2019 04:18 PM - Andreas Kohlbecker
ref #7977 TypeDesignationController.doGet() method

Revision ed4d07fb - 01/24/2019 04:25 PM - Andreas Kohlbecker

ref #7977 changing registration page element order

Revision 88b26bc2 - 01/25/2019 01:23 PM - Andreas Kohlbecker

ref #7977 registration page elements spacing

Revision 204e8173 - 01/29/2019 06:30 PM - Andreas Kohlbecker

ref #7977 better specimen type representation in registration page:

e citation and detail for media specimens
e kind of type shown

¢ persistent identifier as link

¢ media url as image in gallery

Revision a4959ee4 - 01/29/2019 09:39 PM - Andreas Kohlbecker

ref #7977 OccurrencePortalController: mediaSpecimens with complete sources

Revision 1873480 - 01/30/2019 04:27 PM - Andreas Kohlbecker
ref #7977 page title as 'Registration Id' ...

Revision f8283d8a - 01/30/2019 04:29 PM - Andreas Kohlbecker
ref #7977 page title as 'Registration Id:'

History

#1 - 01/11/2019 03:06 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#2 - 01/14/2019 02:52 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#3 - 01/14/2019 03:15 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|5446f04755aaa27314b111e9d6dc5c2ccdd89211.

#4 - 01/14/2019 03:33 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

ready for review

#5 - 01/14/2019 03:47 PM - Andreas Kohlbecker

- Subject changed from Rgistration page layout improved to Registration page layout improved

#6 - 01/24/2019 04:20 PM - Andreas Kohlbecker
- Description updated

Walter suggested an alternative order of the page elements. Updating description accordingly.

#7 - 01/24/2019 04:21 PM - Andreas Kohlbecker

- Description updated

#8 - 01/24/2019 04:28 PM - Andreas Kohlbecker
- Description updated

#9 - 01/24/2019 04:32 PM - Andreas Kohlbecker

- Copied to bug #8018: Registration page: scientific names in the citation to be shown in italics added

#10 - 01/24/2019 04:32 PM - Andreas Kohlbecker

- Description updated

#11 - 01/29/2019 06:22 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

#12 - 01/30/2019 04:31 PM - Andreas Kohlbecker

- Description updated

#13 - 01/30/2019 04:32 PM - Andreas Kohlbecker
- Related to feature request #8016: Registration page: subheadline with event type added

#14 - 01/30/2019 04:36 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Fully implemented, closing issue.

#15 - 01/31/2019 01:51 PM - Andreas Kohlbecker

- Related to feature request #8048: Selenium test for Registration page added
